# IRdVertexVisualizationStream Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | GetNumVertices ([out, retval] RtDWORD *dwNumVertices)
HRESULT | SetNumVertices ([in] RtDWORD dwNumVertices)
## Properties
RtUlong * | color ([in] RtDWORD dwIndex)`[get]`
RtUlong | color ([in] RtDWORD dwIndex)`[set]`
RtFloat * | pointsize ([in] RtDWORD dwIndex)`[get]`
RtFloat | pointsize ([in] RtDWORD dwIndex)`[set]`
IDispatch ** | vColor ([in] RtDWORD dwIndex)`[get]`
IDispatch * | vColor ([in] RtDWORD dwIndex)`[set]`

## Detailed Description

IRdVertexVisualizationStream:

- Specifies per vertex colors and sizes.
- Stream consists of elements of RtVertexVisualization type.
- The stream is part of IRdMesh and is stored in Vertex stream group.
- Stream is identified by STREAMID_VERTEX_VISUALIZATION id.

## Member Function Documentation

HRESULT IRdVertexVisualizationStream::GetNumVertices | ( | [out, retval] RtDWORD * | dwNumVertices | ) |

Get number of vertices.

Returns:
  dwNumVertices [out,retval] Return value for number of vertices.

  standard HRESULT processing can be applied to returned value.

HRESULT IRdVertexVisualizationStream::SetNumVertices | ( | [in] RtDWORD | dwNumVertices | ) |

Set number of vertices.

Parameters:

  | dwNumVertices | [in] Value of number of vertices to set.

Returns:
  standard HRESULT processing can be applied to returned value.

## Property Documentation

RtUlong * IRdVertexVisualizationStream::color([in] RtDWORD dwIndex)`[get]`

Get Color for i-th vertex.

Parameters:

  | dwIndex | [in] Index value of vertex.

Returns:
  pVal [out,retval] Returned color value.

  standard HRESULT processing can be applied to returned value.

RtUlong IRdVertexVisualizationStream::color([in] RtDWORD dwIndex)`[set]`

Set Color for i-th vertex.

Parameters:

  | dwIndex | [in] Index value of vertex.
  | newVal | [in] New color value to set.

Returns:
  standard HRESULT processing can be applied to returned value.

RtFloat* IRdVertexVisualizationStream::pointsize([in] RtDWORD dwIndex)`[get]`

Get Size of i-th vertex.

Parameters:

  | dwIndex | [in] Index value of vertex.

Returns:
  pVal [out,retval] Returned size value.

  standard HRESULT processing can be applied to returned value.

RtFloat IRdVertexVisualizationStream::pointsize([in] RtDWORD dwIndex)`[set]`

Set Size for i-th vertex.

Parameters:

  | dwIndex | [in] Index value of vertex.
  | newVal | [in] New size value to set.

Returns:
  standard HRESULT processing can be applied to returned value.

IDispatch ** IRdVertexVisualizationStream::vColor([in] RtDWORD dwIndex)`[get]`

Get Color for i-th vertex.

Parameters:

  | dwIndex | [in] Index value of vertex.

Returns:
  pVal [out,retval] Returns color value for vertex.

  standard HRESULT processing can be applied to returned value.

IDispatch * IRdVertexVisualizationStream::vColor([in] RtDWORD dwIndex)`[set]`

Set Color for i-th vertex.

Parameters:

  | dwIndex | [in] Index value of vertex.
  | newVal | [in] New color value to set.

Returns:
  standard HRESULT processing can be applied to returned value.